Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
Display1 Class Reference

## Detailed Description

This is the standard 2D display. It implements most of the characteristics in PointDisp and FiberDisp

Inheritance diagram for Display1:

## Public Member Functions
| Display1 (DisplayProp const *)
| constructor
| ~Display1 ()
| destructor
void | display (Simul const &)
| display the given simulation state using OpenGL commands
void | displayMinusEnd (int style, Fiber const &, real width) const
| display MINUS_END of a Fiber More...
void | displayPlusEnd (int style, Fiber const &, real width) const
| display PLUS_END of a Fiber More...
void | displayFiberMinusEnd (Fiber const &)
| display a Fiber
void | displayFiberPlusEnd (Fiber const &)
| display a Fiber
void | displayFiber (Fiber const &)
| display a Fiber
void | displaySolid (Solid const &)
| display the Solids
void | displayTSolid (Solid const &, unsigned int)
| display the transparent part for the Solids More...
void | displayBead (Bead const &)
| display a Bead
void | displayTBead (Bead const &)
| display transparent membrane of Bead More...
void | displaySphere (Sphere const &)
| display a Sphere
void | displayTSphere (Sphere const &)
| display transparent membrane of Sphere
void | displayOrganizer (Organizer const &)
| display an Organizer
void | displayFCouples (CoupleSet const &)
| display the free Couples More...
void | displayACouples (CoupleSet const &)
| display the attached Couples
void | displayBCouples (CoupleSet const &)
| display the bridging Couples
void | displayFSingles (SingleSet const &)
| display the free Singles More...
void | displayASingles (SingleSet const &)
| display the attached Singles
Public Member Functions inherited from Display
| Display (DisplayProp const *)
| constructor
virtual | ~Display ()
| destructor
void | setPixelFactors (real pixel_size, real u_factor)
| set current pixel-size and point-size factor
virtual void | prepareForDisplay (Simul const &, PropertyList &)
| prepare to display More...
void | displayTiled (Simul const &, int nine)
| display for periodic systems
gle_color | bodyColor (PointDisp const *, Number) const
| find a color for a large spherical objects More...
virtual void | displayFields (FieldSet const &)
| display a scalar field More...
virtual void | displayBSpace (Space const &)
| display the Space in 2D, and the back of the surface in 3D
virtual void | displayFSpace (Space const &)
| display the front of the Space in 3D
virtual void | displayFibers (FiberSet const &)
| display Fibers
virtual void | displayBeads (BeadSet const &)
| display the Beads
virtual void | displaySolids (SolidSet const &)
| display the Solids
virtual void | displaySpheres (SphereSet const &)
| display the Spheres
virtual void | displayBSpaces (SpaceSet const &)
| display the Spaces
virtual void | displayFSpaces (SpaceSet const &)
| display the front of Spaces More...
virtual void | displayTransparentObjects (Simul const &)
| display translucent object after depth-sorting More...
virtual void | displayOrganizers (OrganizerSet const &)
| display the Nucleus
virtual void | displayAverageFiber (FiberSet const &, bool(*func)(Fiber const *, void *), void *)
| display the average fiber for the pool defined by func(obj, val) == true
virtual void | displayAverageFiber1 (FiberSet const &, void *)
| display the averaged fiber
virtual void | displayAverageFiber2 (FiberSet const &, void *)
| display the average for left-pointing and right-pointing fibers
virtual void | displayMisc (Simul const &)
| display additional items

## Additional Inherited Members
Protected Attributes inherited from Display
DisplayProp const * | prop
| associated parameters
real | mPixelSize
| the pixel size for this particular display
real | uFactor
| scaling factors for glPointSize() and glLineWidth()
real | sFactor
| scaling factors for real units

## Member Function Documentation

void displayFCouples | ( | CoupleSet const & | set | ) |
| virtual

We display either Hand1 or Hand2, exposing both sides with equal chances. This gives the impression that Couple flicker randomly between frames, as if they were two-sided balls 'rotating' very fast.

Implements Display.

void displayFSingles | ( | SingleSet const & | set | ) |
| virtual

display the attached position of free singles

Implements Display.

void displayMinusEnd | ( | int | style,
|  | Fiber const & | fib,
|  | real | width
| ) |  | const
| virtual

Display the MINUS_END of a Fiber, according to style:

- 1: draw a sphere
- 2: draw a cone
- 3: draw a flat cylinder
- 4: draw an arrow-head

Reimplemented from Display.

void displayPlusEnd | ( | int | style,
|  | Fiber const & | fib,
|  | real | width
| ) |  | const
| virtual

Display the PLUS_END of a Fiber, according to style:

- 1: draw a sphere
- 2: draw a cone
- 3: draw a flat cylinder
- 4: draw an arrow-head

Reimplemented from Display.

void displayTBead | ( | Bead const & | obj | ) |
| virtual

Display a semi-transparent disc / sphere if ( disp->style & 2 )

Implements Display.

void displayTSolid | ( | Solid const & | obj,
|  | unsigned int | ii
| ) |  |
| virtual

Display a semi-transparent disc / sphere if ( disp->style & 2 )

Implements Display.